import java.rmi.*;
import java.rmi.server.*;


/**
 * Title:        The Global Clipboard
 * Description:  my new global clipboard.
 * Copyright:    Copyright (c) 2001
 * Company:      suvi.org
 * @author Suvi
 * @version 0.1
 */

/** interface for a remote Message */
public interface Message extends Remote
{
 public String GetSenderName() throws RemoteException;
 public String GetTextMessage() throws RemoteException;
 public void addMessageObserver(MessageObserver mo) throws RemoteException;
 public void deleteMessageObserver(MessageObserver mo) throws RemoteException;
}