import java.net.*;

/**
 * Title:        The Global Clipboard
 * Description:  my new global clipboard.
 * Copyright:    Copyright (c) 2001
 * Company:      suvi.org
 * @author Suvi
 * @version 0.1
 */

/**Thread to scan an IP-Subnet for GCB's */
public class ScanSubnetThread extends Thread
{
  private MessageImpl myMessageImpl;
  private GCBImpl myGCBImpl;

  /**Constructs the thread */
  public ScanSubnetThread(GCBImpl myGCBImpl,MessageImpl myMessageImpl)
  {
   this.myGCBImpl = myGCBImpl;
   this.myMessageImpl = myMessageImpl;
   this.setDaemon(true); //i am just a deamon thread working for others
   this.start(); //we got a new thread running
  }

  /**task of the thread */
  public void run()
  {
    try
    {
     InetAddress localAddress = InetAddress.getLocalHost(); //there is now way to get the subnetmask!
     StringBuffer hostaddress = new StringBuffer(localAddress.getHostAddress());

     int pos=hostaddress.length();
     for(int j=hostaddress.length()-1; j > 0; j--) //cutting of the end
     {
      if (hostaddress.charAt(j) == '.')
      {
       pos=j+1;
       break;
      }
     }
     hostaddress.delete(pos,hostaddress.length()); // now we got X.X.X.__

     for(int i=0; i<256; i++) //i < 256
     {
      //the following runs in  separete threads
      try // we wait to have enough free ports
      { Thread.sleep(300); }
      catch (InterruptedException ex) { }
      if (!( localAddress.getHostAddress().equals(hostaddress + Integer.toString(i)) ))
      {
      ScanThread dummy = new ScanThread(this.myGCBImpl,this.myMessageImpl,hostaddress + Integer.toString(i));
      }
     }
     }
     catch (Exception e)
    {
      System.out.println("oops exception in the subnetscan");
      e.printStackTrace();
    }
  }


}