/**
 * Title:        The Global Clipboard
 * Description:  my new global clipboard.
 * Copyright:    Copyright (c) 2001
 * Company:      suvi.org
 * @author Suvi
 * @version 0.1
 */

/** The Controll class starts the threads for connecting to a other gcbs.
 */
public class Controll
{
  private MessageImpl myMessageImpl;
  private GCBImpl myGCBImpl;

  public Controll(GCBImpl myGCBImpl,MessageImpl myMessageImpl)
  {
    this.myGCBImpl = myGCBImpl;
    this.myMessageImpl = myMessageImpl;
  }

  /** Scans a spesified Host (IP-Address)
   */
  public void scanTarget(String targetHost) //hostname or ip
  {
   ScanThread targetScan = new ScanThread(this.myGCBImpl,this.myMessageImpl,targetHost);
  }

  /** Scans the local IP-subnet
   */
  public void scanSubnet()
  {
   ScanSubnetThread subnetScan = new ScanSubnetThread(this.myGCBImpl,this.myMessageImpl);
  }

}