import java.rmi.*;
import java.rmi.server.*;

/**
 * Title:        The Global Clipboard
 * Description:  my new global clipboard.
 * Copyright:    Copyright (c) 2001
 * Company:      suvi.org
 * @author Suvi
 * @version 0.1
 */

/** GCB Interface
 *  a GCB is a remote clipboard with contains a message
 *  a GCB can add and remove messages
 */
public interface GCB extends Remote
{
  public Message getMessage() throws RemoteException;
  public void addRemoteMessage(Message aMessage) throws RemoteException;
  public void removeRemoteMessage(Message aMessage) throws RemoteException;
}